/***************************************************************************
 *   Copyright (C) 2005 by Montel Laurent <montel@kde.org>                 *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   51 Franklin Steet, Fifth Floor, Boston, MA 02110-1301, USA.           *
 ***************************************************************************/

#include <kdebug.h>
#include <qregexp.h>

#include "fulltext_man.h"
#include "kat_export.h"

extern "C"
{
    KAT_EXPORT FulltextExtractor *new_extractor( const QString& path )
    {
        return new ManExtractor( path );
    }
}

ManExtractor::ManExtractor( const QString &path )
    :KatExternalExtractor( path, true )
{
}

ManExtractor::~ManExtractor()
{
}

QString ManExtractor::helper() const
{
    return "man2html";
}


void ManExtractor::helperParameter(const QString &_prog)
{
    *proc << _prog;
    *proc << m_path;
}

